# Uses of Class
org.apache.sysds.runtime.data.BasicTensorBlock

Packages that use BasicTensorBlock
Package
Description
org.apache.sysds.runtime.data
org.apache.sysds.runtime.instructions.spark.functions
org.apache.sysds.runtime.instructions.spark.utils

## Uses of BasicTensorBlock in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return BasicTensorBlock
Modifier and Type
Method
Description
`BasicTensorBlock`
BasicTensorBlock.`aggregateUnaryOperations(AggregateUnaryOperator op, BasicTensorBlock result)`
Aggregate a unary operation on this tensor.
`BasicTensorBlock`
BasicTensorBlock.`allocateBlock()`
`BasicTensorBlock`
BasicTensorBlock.`allocateDenseBlock()`
`BasicTensorBlock`
BasicTensorBlock.`copyShallow(BasicTensorBlock that)`
`BasicTensorBlock`
TensorBlock.`getBasicTensor()`
`static BasicTensorBlock`
LibTensorReorg.`reshape(BasicTensorBlock in, BasicTensorBlock out, int[] dims)`
CP reshape operation (single input, single output tensor)
Methods in org.apache.sysds.runtime.data with parameters of type BasicTensorBlock
Modifier and Type
Method
Description
`static void`
LibTensorAgg.`aggregateBinaryTensor(BasicTensorBlock in, BasicTensorBlock aggVal, AggregateOperator aop)`
Core incremental tensor aggregate (ak+) as used for uack+ and acrk+.
`BasicTensorBlock`
BasicTensorBlock.`aggregateUnaryOperations(AggregateUnaryOperator op, BasicTensorBlock result)`
Aggregate a unary operation on this tensor.
`static void`
LibTensorAgg.`aggregateUnaryTensor(BasicTensorBlock in, BasicTensorBlock out, AggregateUnaryOperator uaop)`
Aggregate a tensor-block with the given unary operator.
`void`
BasicTensorBlock.`copy(int[] lower, int[] upper, BasicTensorBlock src)`
Copy a part of another `BasicTensorBlock`
`void`
BasicTensorBlock.`copy(BasicTensorBlock that)`
`BasicTensorBlock`
BasicTensorBlock.`copyShallow(BasicTensorBlock that)`
`long`
TensorBlock.`getExactBlockDataSerializedSize(BasicTensorBlock bt)`
Get the exact serialized size of a `BasicTensorBlock` if written by `TensorBlock.writeBlockData(DataOutput,BasicTensorBlock)`.
`void`
BasicTensorBlock.`incrementalAggregate(AggregateOperator aggOp, BasicTensorBlock partialResult)`
`static BasicTensorBlock`
LibTensorReorg.`reshape(BasicTensorBlock in, BasicTensorBlock out, int[] dims)`
CP reshape operation (single input, single output tensor)
`static boolean`
LibTensorAgg.`satisfiesMultiThreadingConstraints(BasicTensorBlock in, int k)`
Check if a aggregation fulfills the constraints to be split to multiple threads.
`void`
BasicTensorBlock.`set(BasicTensorBlock other)`
`void`
TensorBlock.`writeBlockData(DataOutput out, BasicTensorBlock bt)`
Write a `BasicTensorBlock`.
Constructors in org.apache.sysds.runtime.data with parameters of type BasicTensorBlock
Modifier
Constructor
Description
``
`BasicTensorBlock(BasicTensorBlock that)`
``
`DataTensorBlock(BasicTensorBlock that)`
``
`TensorBlock(BasicTensorBlock basicTensor)`
Wrap the given `BasicTensorBlock` inside a `TensorBlock`.

## Uses of BasicTensorBlock in org.apache.sysds.runtime.instructions.spark.functions

Methods in org.apache.sysds.runtime.instructions.spark.functions that return BasicTensorBlock
Modifier and Type
Method
Description
`BasicTensorBlock`
CopyTensorBlockFunction.`call(BasicTensorBlock arg0)`
Methods in org.apache.sysds.runtime.instructions.spark.functions that return types with arguments of type BasicTensorBlock
Modifier and Type
Method
Description
`LazyIterableIterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>`
CopyTensorBlockPairFunction.`call(Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> arg0)`
Methods in org.apache.sysds.runtime.instructions.spark.functions with parameters of type BasicTensorBlock
Modifier and Type
Method
Description
`BasicTensorBlock`
CopyTensorBlockFunction.`call(BasicTensorBlock arg0)`
Method parameters in org.apache.sysds.runtime.instructions.spark.functions with type arguments of type BasicTensorBlock
Modifier and Type
Method
Description
`LazyIterableIterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>>`
CopyTensorBlockPairFunction.`call(Iterator<scala.Tuple2<TensorIndexes,BasicTensorBlock>> arg0)`

## Uses of BasicTensorBlock in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils that return types with arguments of type BasicTensorBlock
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in)`
Creates a partitioning-preserving deep copy of the input tensor RDD, where the indexes and values are copied.
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in, boolean deep)`
Creates a partitioning-preserving copy of the input tensor RDD.
Method parameters in org.apache.sysds.runtime.instructions.spark.utils with type arguments of type BasicTensorBlock
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in)`
Creates a partitioning-preserving deep copy of the input tensor RDD, where the indexes and values are copied.
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock>`
SparkUtils.`copyBinaryBlockTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,BasicTensorBlock> in, boolean deep)`
Creates a partitioning-preserving copy of the input tensor RDD.